; Configuration file for Duet 3 (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v2.1.8 on Sun Mar 01 2020 12:09:54 GMT+0100 (Mitteleuropäische Normalzeit)

; General preferences
G90                                                   ; send absolute coordinates...
M83                                                   ; ...but relative extruder moves
M550 P"duet3"                                      ; set printer name

M667 S1                                               ; select CoreXY mode

; Network
;M552 P192.168.10.99 S1                                ; enable network and set IP address
;M553 P255.255.255.0                                   ; set netmask
;M554 P192.168.10.1                                    ; set gateway
M586 P0 S1                                            ; enable HTTP
M586 P1 S0                                            ; disable FTP
M586 P2 S0                                            ; disable Telnet

; Drives
M569 P0.0 S1                                          ; physical drive 0.0 goes forwards
M569 P0.1 S0                                          ; physical drive 0.1 goes forwards
M569 P0.2 S1                                          ; physical drive 0.2 goes forwards
M569 P0.3 S1                                          ; physical drive 0.3 goes forwards
;M569 P0.4 S0                                          ; physical drive 0.4 goes forwards
;M569 P0.5 S0
M584 X0.0 Y0.1 Z0.2 E0.3:0.4 ;U0.5                     ; set drive mapping
M350 E64:64 U32 I0
M350 X64 Y64 Z64 I1                            ; configure microstepping with interpolation
;M92 X320.00 Y320.00 Z12800.00 E595.00:1660.00 U50.00         ; set steps per mm 595 1660 (1610)
M92 X320.00 Y320.00 Z12800.00 E1620.00 U50.00         ; set steps per mm 595 1660 (1610)
M566 X900.00 Y900.00 Z12.00 E900.00:900.00 U900.00    ; set maximum instantaneous speed changes (mm/min)
M203 X9000.00 Y9000.00 Z180.00 E5000.00:5000.00 U6000.00       ; set maximum speeds (mm/min)
M201 X600.00 Y600.00 Z20.00 E600.00:600.00 U250.00            ; set accelerations (mm/s^2)
M906 X1200 Y1200 Z1200 E1200:1200 I30                 ; set motor currents (mA) and motor idle factor in per cent
M906 U1000
M84 X Y Z E0:1 S30                                               ; Set idle timeout
M950 S1 C"out9"										;Servo
;M915 P0.5 S-10 H500 R0
M572 D0 S0.6										;linear advance

; Axis Limits
M208 X0 Y0 Z0 U0 S1                                      ; set axis minima
;M208 X194 Y185 Z190 U43 S0                                ; set axis maxima (X194)
M208 X202 Y208 Z190 U43 S0                                ; set axis maxima

; Endstops
M574 X1 S1 P"io0.in"                                  ; configure active-low endstop for low end on X via pin io0.in
M574 Y2 S1 P"!io1.in"                                  ; configure active-low endstop for low end on Y via pin io1.in
;M574 Z1 S2
M574 Z0
;M574 U2 S1 P"io5.in"

; Z-Probe
;G29 S2
;M950 S0 C"io7.out"                                    ; create servo pin 0 for BLTouch
;M558 P9 C"^io7.in" H5 F120 T6000                       ; set Z probe type to bltouch and the dive height + speeds
M558 P8 C"^io2.in" H5 F80 T6000
;G31 P500 X0 Y+15 Z1.40                                ; y+21  set Z probe trigger value, offset and trigger height
G31 P500 X0 Y+12 Z2.8
;M557 X0:190 Y21:167 S10                              ; define mesh grid
M557 X0:200 Y12:198 S10                              ; define mesh grid

; Heaters
M308 S0 P"temp0" Y"thermistor" T100000 B4092          ; configure sensor 0 as thermistor on pin temp0
M950 H0 C"out0" T0                                    ; create bed heater output on out0 and map it to sensor 0
M143 H0 S120                                          ; set temperature limit for heater 0 to 120C
M307 H0 B0 S1.00                                      ; disable bang-bang mode for the bed heater and set PWM limit
M140 H0                                               ; map heated bed to heater 0
M308 S1 P"temp1" Y"thermistor" T100000 B4725 C7.06e-8 ; configure sensor 1 as thermistor on pin temp1
M950 H1 C"out1" T1                                    ; create nozzle heater output on out1 and map it to sensor 1
M143 H1 S285                                          ; set temperature limit for heater 1 to 280C
M307 H1 B0 S0.8                                      ; disable bang-bang mode for heater  and set PWM limit
M308 S2 P"temp2" Y"thermistor" T100000 B4725 C7.06e-8 ; configure sensor 2 as thermistor on pin temp2
M950 H2 C"out2" T2                                    ; create nozzle heater output on out2 and map it to sensor 2
M143 H2 S285                                          ; set temperature limit for heater 2 to 280C
M307 H2 B0 S0.8                                      ; disable bang-bang mode for heater  and set PWM limit

; Fans
M950 F0 C"out4" Q100                                  ; create fan 0 on pin out3 and set its frequency
M106 P0 S0 H-1                                        ; set fan 0 value. Thermostatic control is turned off
M950 F1 C"out7" Q500                                  ; create fan 1 on pin out4 and set its frequency
M106 P1 S1 H1 T45                                     ; set fan 1 value. Thermostatic control is turned on
M950 F2 C"out5" Q100                                  ; create fan 2 on pin out5 and set its frequency
M106 P2 S0 H-2                                        ; set fan 2 value. Thermostatic control is turned off
M950 F3 C"out8" Q500                                  ; create fan 3 on pin out6 and set its frequency
M106 P3 S1 H2 T45                                     ; set fan 3 value. Thermostatic control is turned on

; Tools
M563 P0 D0 H1 F0:2 S"Extruder1"                                ; define tool 0
G10 P0 R185 S0 X-15 Y0                              ; set initial tool 0 active and standby temperatures to 0C
M563 P1 D1 H2 F0:2 S"Extruder2"                                ; define tool 1
G10 P1 R185 S0 X+14.8 Y-0.75                                ; (14.05)set initial tool 1 active and standby temperatures to 0C X+13.65(70) Y-0.8(85) (75) (70) (65)
;M563 P2 D0:1 H1:2
;G10 P2 R180:180 S180:180

; Custom settings are not defined
M207 S4.8 F2500
M501

